%define	name	Aileron.app
%define	version	0.1.3
%define	release	3
%define	serial	1
%define	prefix	/usr
%define	GNUstepApps	/usr/X11R6/GNUstep/Apps

Summary:	Aileron is a NeXT alike mailclient for Window Maker.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		unsorted
URL:		http://ucsu.colorado.edu/~nwanua/Aileron/
Vendor:		Nwanua Elumeze <nwanua@windowmaker.org>
Source:		Aileron-%{version}.tar.gz
Patch:		Aileron-%{version}-SuSE.patch
BuildRoot:	/var/tmp/%{name}-%{version}
#Requires:	 

Distribution:	SuSE
Packager:	Guido Scholz <guido.scholz@bayernline.de>

%description
Aileron is a NeXT alike mailclient for Window Maker. It has been written
in C using the WINGs library.  

Authors:
========
  Nwanua Elumez <nwanua@windowmaker.org>


%prep
%setup -q -n Aileron-%{version}
%patch -p1

%build
CFLAGS=$RPM_OPT_FLAGS make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}

make DESTDIR=$RPM_BUILD_ROOT install

install -d $RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/filetypes/
install -m 644 images/filetypes/*.tif \
	$RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/filetypes/
	
install -d $RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/icon/
install -m 644 images/icon/*.xpm \
	$RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/icon/
	
install -d $RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/infopanel/
install -m 644 images/infopanel/*.tif \
	$RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/infopanel/
	
install -d $RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/timestamp/
install -m 644 images/timestamp/*.xpm \
	$RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/timestamp/

install -d $RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/win/
install -m 644 images/win/* \
	$RPM_BUILD_ROOT/%{GNUstepApps}/%{name}/images/win/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS AUTHORS.html TODO README
%{GNUstepApps}/%{name}

%post
# Meneintrag fr Aileron im Windowmaker Men erzeugen
MENUDATEI=/etc/WindowMaker/SuSE/SuSE_wmapps
TMPMENU=/tmp/%{name}-SuSE_wmapps

if test -f $MENUDATEI ; then
  sed -e 's#\("WindowMaker Apps" MENU$\)#\1=+"Aileron" EXEC /usr/X11R6/GNUstep/Apps/Aileron.app/Aileron#' $MENUDATEI | tr "=+" "\n\t" >$TMPMENU
  if test -f $TMPMENU ; then
    rm $MENUDATEI
    mv $TMPMENU $MENUDATEI
  fi
fi

%postun
# Meneintrag bei Deinstallation entfernen
MENUDATEI=/etc/WindowMaker/SuSE/SuSE_wmapps
TMPMENU=/tmp/%{name}-SuSE_wmapps

if test -f $MENUDATEI ; then
  sed -e '/"Aileron"/d' $MENUDATEI >$TMPMENU
  if test -f $TMPMENU ; then
    rm $MENUDATEI
    mv $TMPMENU $MENUDATEI
  fi
fi

%changelog
* Tue Dec 24 2002 Guido Scholz <guido.scholz@bayernline.de>
- Added menu modification scripts.

* Mon Dec 23 2002 Guido Scholz <guido.scholz@bayernline.de>
- First release Aileron.app 0.1.3
